import * as React from "react";
export interface ModalPropsAndState {
    visible?: boolean;
    textAlign?: string;
    width?: number;
    padding?: string;
    fullScreen?: boolean;
    onOuterClicked?(): void;
}
export declare class Modal extends React.Component<ModalPropsAndState, ModalPropsAndState> {
    private static getDerivedStateFromProps;
    bucket: HTMLDivElement;
    constructor(props: ModalPropsAndState);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal;
}
